Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class IOValue.ComplexValueReference

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
          org.deegree.ogcwebservices.wps.execute.IOValue.ComplexValueReference

Enclosing class:
  IOValue

    public static class IOValue.ComplexValueReference

extends ComplexValueEncoding

`ComplexValueReference` is simple wrapper class.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, last edited by: $Author: mschneider $

Field Summary
`protected URL` | `reference`

Fields inherited from class org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
`encoding, format, schema`

Constructor Summary
`IOValue.ComplexValueReference(String format, URI encoding, URL schema, URL reference)`

Method Summary
`URL` | `getReference()`

Methods inherited from class org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
`getEncoding, getFormat, getSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reference

    protected URL reference

Constructor Detail

### IOValue.ComplexValueReference

    public IOValue.ComplexValueReference(String format,
                                         URI encoding,
                                         URL schema,
                                         URL reference)

Parameters:
  `encoding` -
  `format` -
  `schema` -
  `reference` -

Method Detail

### getReference

    public URL getReference()

  Returns:
    the reference to the data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org